Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.run
Class Settings

    java.lang.Object
      net.sf.j3d.threeD.run.Settings

    public abstract class Settings

extends Object

The Settings class provides access to settings that change the way the RayTracer and its components run. This class also includes static fields providing information about this release of the RayTracer.

Author:
  Mike Murray

Field Summary
`static String` | `aboutText`
`static PrintWriter` | `cameraOut` A JTextAreaPrintWriter object that should be used for debug output from the camera.
`static DecimalFormat` | `decimalFormat` An instance of DecimalFormat that can be used to format decimal numbers.
`static DecimalFormat` | `displayFormat` An instance of DecimalFormat that can be used to format decimal numbers for display.
`static PrintWriter` | `eventOut` A JTextAreaPrintWriter object that should be used for debug output from the event system.
`static DecimalFormat` | `integerFormat` An instance of DecimalFormat that can be used to format integer numbers.
`static String` | `license` String containing information on how to access the full software license.
`static String` | `licenseInfo` String containing license information for this software.
`static String` | `localSplashImage` String containing the local location of the splash screen image.
`static boolean` | `produceCameraOutput` Setting to true enables camera debug output.
`static boolean` | `produceEventHandlerOutput` Setting to true enables event system debug output.
`static boolean` | `produceOutput` Setting to true enables debug output.
`static boolean` | `produceRayTracingEngineOutput` Setting to true enables ray tracing engine debug output.
`static boolean` | `produceShaderOutput` Setting to true enables shader debug output.
`static boolean` | `produceSurfaceOutput` Setting to true enables surface debug output.
`static String` | `randomWarningSymbol` String used to indicate this warning is given at random.
`static double` | `randomWarningThreshold` Threshold for random warnings.
`static PrintWriter` | `rayEngineOut` A JTextAreaPrintWriter object that should be used for debug output from the ray tracing engine.
`static String` | `remoteSplashImage` String containing the remote location of the splash screen image.
`static String` | `resourcePath` String containing the local directory where resources can be found.
`static Icon` | `sceneIcon` Icon to use for top level of surface tree.
`static String` | `sceneIconFile` Path to file to load scene icon from.
`static int` | `screenHeight` Integer values for the screen width and height.
`static int` | `screenWidth` Integer values for the screen width and height.
`static PrintWriter` | `shaderOut`
`static PrintWriter` | `surfaceOut` A JTextAreaPrintWriter object that should be used for debug output from surfaces.
`static Color` | `themePrimary1` AWT Color representing the primary 1 color for the default theme.
`static Color` | `themePrimary2` AWT Color representing the primary 2 color for the default theme.
`static Color` | `themePrimary3` AWT Color representing the primary 3 color for the default theme.
`static Color` | `themeSecondary1` AWT Color representing the secondary 1 color for the default theme.
`static Color` | `themeSecondary2` AWT Color representing the secondary 2 color for the default theme.
`static Color` | `themeSecondary3` AWT Color representing the secondary 3 color for the default theme.
`static boolean` | `useRemoteResources` Setting to true enables remote resource use.
`static String` | `version` String containing the version number of this software.
`static String` | `websiteUrl` String containing "http://j3d.sf.net/".
`static String` | `writtenByInfo` String containing "Written by Mike Murray".

Constructor Summary
`Settings()`

Method Summary
`static Properties` | `getProperties()` Returns a Properties object that stores the current values of the static variables of the Settings class.
`static void` | `init()`
`static void` | `setProperties(Properties p)` Sets the values of the static variables of the Settings class to those described by the specified Properties object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final String version

  String containing the version number of this software.

  See Also:
    Constant Field Values

### writtenByInfo

    public static final String writtenByInfo

  String containing "Written by Mike Murray".

  See Also:
    Constant Field Values

### websiteUrl

    public static final String websiteUrl

  String containing "http://j3d.sf.net/".

  See Also:
    Constant Field Values

### licenseInfo

    public static final String licenseInfo

  String containing license information for this software.

  See Also:
    Constant Field Values

### license

    public static final String license

  String containing information on how to access the full software license.

  See Also:
    Constant Field Values

### aboutText

    public static final String aboutText

See Also:
  Constant Field Values

### randomWarningSymbol

    public static String randomWarningSymbol

  String used to indicate this warning is given at random.

### randomWarningThreshold

    public static double randomWarningThreshold

  Threshold for random warnings.

### screenWidth

    public static int screenWidth

  Integer values for the screen width and height.

### screenHeight

    public static int screenHeight

  Integer values for the screen width and height.

### useRemoteResources

    public static boolean useRemoteResources

  Setting to true enables remote resource use.

### resourcePath

    public static String resourcePath

  String containing the local directory where resources can be found.

### localSplashImage

    public static String localSplashImage

  String containing the local location of the splash screen image.

### remoteSplashImage

    public static String remoteSplashImage

  String containing the remote location of the splash screen image.

### produceOutput

    public static boolean produceOutput

  Setting to true enables debug output.

### produceRayTracingEngineOutput

    public static boolean produceRayTracingEngineOutput

  Setting to true enables ray tracing engine debug output.

### rayEngineOut

    public static PrintWriter rayEngineOut

  A JTextAreaPrintWriter object that should be used for debug output from the ray tracing engine.

### produceShaderOutput

    public static boolean produceShaderOutput

  Setting to true enables shader debug output.

### shaderOut

    public static PrintWriter shaderOut

### produceSurfaceOutput

    public static boolean produceSurfaceOutput

  Setting to true enables surface debug output.

### surfaceOut

    public static PrintWriter surfaceOut

  A JTextAreaPrintWriter object that should be used for debug output from surfaces.

### produceCameraOutput

    public static boolean produceCameraOutput

  Setting to true enables camera debug output.

### cameraOut

    public static PrintWriter cameraOut

  A JTextAreaPrintWriter object that should be used for debug output from the camera.

### produceEventHandlerOutput

    public static boolean produceEventHandlerOutput

  Setting to true enables event system debug output.

### eventOut

    public static PrintWriter eventOut

  A JTextAreaPrintWriter object that should be used for debug output from the event system.

### sceneIconFile

    public static final String sceneIconFile

  Path to file to load scene icon from.

### sceneIcon

    public static Icon sceneIcon

  Icon to use for top level of surface tree.

### integerFormat

    public static final DecimalFormat integerFormat

  An instance of DecimalFormat that can be used to format integer numbers.

### decimalFormat

    public static final DecimalFormat decimalFormat

  An instance of DecimalFormat that can be used to format decimal numbers.

### displayFormat

    public static final DecimalFormat displayFormat

  An instance of DecimalFormat that can be used to format decimal numbers for display.

### themePrimary1

    public static Color themePrimary1

  AWT Color representing the primary 1 color for the default theme.

### themePrimary2

    public static Color themePrimary2

  AWT Color representing the primary 2 color for the default theme.

### themePrimary3

    public static Color themePrimary3

  AWT Color representing the primary 3 color for the default theme.

### themeSecondary1

    public static Color themeSecondary1

  AWT Color representing the secondary 1 color for the default theme.

### themeSecondary2

    public static Color themeSecondary2

  AWT Color representing the secondary 2 color for the default theme.

### themeSecondary3

    public static Color themeSecondary3

  AWT Color representing the secondary 3 color for the default theme.

Constructor Detail

### Settings

    public Settings()

Method Detail

### init

    public static void init()

### setProperties

    public static void setProperties(Properties p)

  Sets the values of the static variables of the Settings class to those described by the specified Properties object.

### getProperties

    public static Properties getProperties()

  Returns a Properties object that stores the current values of the static variables of the Settings class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD